### Hierarchy

- ConnectOpts
  - TcpSocketConnectOpts

## Index

### Properties

- family
- hints
- host
- localAddress
- localPort
- lookup
- onread
- port

## Properties

### Optional family

family?: number

### Optional hints

hints?: number

### Optional host

host?: string

### Optional localAddress

localAddress?: string

### Optional localPort

localPort?: number

### Optional lookup

lookup?: LookupFunction

### Optional onread

onread?: OnReadOpts

Inherited from ConnectOpts.onread

If specified, incoming data is stored in a single buffer and passed to the supplied callback when data arrives on the socket. Note: this will cause the streaming functionality to not provide any data, however events like 'error', 'end', and 'close' will still be emitted as normal and methods like pause() and resume() will also behave as expected.

### port

port: number

Generated using TypeDoc